Skip to main content
`Ctrl`+`K`

# PetscOptionsInsertString

Inserts options into the database from a string

## Synopsis

    #include "petscsys.h"
    PetscErrorCode PetscOptionsInsertString(PetscOptions options, const char in_str[])

Logically Collective

## Input Parameters

- options - options object

- in_str - string that contains options separated by blanks

The collectivity of this routine is complex; only the MPI processes that call this routine will have the affect of these options. If some processes that create objects call this routine and others do not the code may fail in complicated ways because the same parallel solvers may incorrectly use different options on different ranks.

Contributed by Boyana Norris

## See Also

`PetscOptionsSetValue()`, `PetscOptionsView()`, `PetscOptionsHasName()`, `PetscOptionsGetInt()`, `PetscOptionsGetReal()`, `PetscOptionsGetString()`, `PetscOptionsGetIntArray()`, `PetscOptionsBool()`, `PetscOptionsName()`, `PetscOptionsBegin()`, `PetscOptionsEnd()`, `PetscOptionsHeadBegin()`, `PetscOptionsStringArray()`, `PetscOptionsRealArray()`, `PetscOptionsScalar()`, `PetscOptionsBoolGroupBegin()`, `PetscOptionsBoolGroup()`, `PetscOptionsBoolGroupEnd()`, `PetscOptionsFList()`, `PetscOptionsEList()`, `PetscOptionsInsertFile()`

## Level

intermediate

## Location

src/sys/objects/options.c

## Examples

src/snes/tutorials/ex22.c
src/sys/tutorials/ex20.c
src/ts/tutorials/ex48.c
src/sys/tutorials/ex19.c
src/ts/tutorials/ex30.c
src/ksp/ksp/tutorials/ex43.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages